Bug 874720 - Review Request: python-anykeystore - A key-value store supporting multiple backends
Summary: Review Request: python-anykeystore - A key-value store supporting multiple ba...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-08 17:56 UTC by Ralph Bean
Modified: 2014-10-14 12:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-15 02:41:17 UTC
kevin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2012-11-08 17:56:59 UTC
Spec URL: http://ralph.fedorapeople.org//python-anykeystore.spec
SRPM URL: http://ralph.fedorapeople.org//python-anykeystore-0.2-1.fc18.src.rpm

Description:
A generic interface wrapping multiple different backends to provide a
consistent key-value storage API. This library is intended to be used by
other libraries that require some form of generic storage.

Comment 1 Ralph Bean 2012-11-08 17:57:11 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4668885

Comment 2 Kevin Fenzi 2012-11-09 20:17:51 UTC
I'll go ahead and review this. Look for a full review later today.

Comment 3 Kevin Fenzi 2012-11-09 20:55:04 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (MIT)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
82ffcd608fea9cfaa903b7731c47a8d36ba346bf49cf98f8dabee83083d08412  anykeystore-0.2.tar.gz
82ffcd608fea9cfaa903b7731c47a8d36ba346bf49cf98f8dabee83083d08412  anykeystore-0.2.tar.gz.orig

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have subpackages require base package with fully versioned depend. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 

python-anykeystore.noarch: E: zero-length /usr/share/doc/python-anykeystore-0.2/CHANGES.txt
python-anykeystore.src: W: spelling-error Summary(en_US) backends -> back ends, back-ends, backhands
python-anykeystore.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands

Might drop CHANGES.txt since it's 0 len?

I don't see any blockers here, so this package is APPROVED.

Comment 4 Ralph Bean 2012-11-09 21:25:56 UTC
New Package SCM Request
=======================
Package Name: python-anykeystore
Short Description: A key-value store supporting multiple backends
Owners: ralph
Branches: f17 f18 el6
InitialCC:

Comment 5 Gwyn Ciesla 2012-11-09 22:22:10 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-11-10 01:55:38 UTC
python-anykeystore-0.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-anykeystore-0.2-3.el6

Comment 7 Fedora Update System 2012-11-10 02:04:35 UTC
python-anykeystore-0.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-anykeystore-0.2-2.fc17

Comment 8 Fedora Update System 2012-11-10 02:04:56 UTC
python-anykeystore-0.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-anykeystore-0.2-2.fc18

Comment 9 Fedora Update System 2012-11-10 19:02:33 UTC
python-anykeystore-0.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Fedora Update System 2012-11-28 17:37:44 UTC
python-anykeystore-0.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2012-11-29 06:05:40 UTC
python-anykeystore-0.2-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Fedora Update System 2012-11-29 06:47:24 UTC
python-anykeystore-0.2-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Ralph Bean 2014-10-14 00:58:36 UTC
Package Change Request
======================
Package Name: python-anykeystore
New Branches: epel7
Owners: ralph

Comment 14 Gwyn Ciesla 2014-10-14 12:01:31 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.